package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "follow_up_order_view")
public class FollowUpOrderView {
    /**
     * follow_up表主键id
     */
    @Column(name = "follow_up_id", nullable = false)
    private Integer followUpId;

    /**
     * user表主键id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * patient_id(patient表主键id)
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;

    /**
     * 用户的真实姓名
     */
    @Column(name = "patient_name", nullable = false)
    private String patientName;

    /**
     * 用户手机号码
     */
    @Column(name = "patient_mobile", nullable = false)
    private String patientMobile;

    /**
     * 医生id
     */
    @Column(name = "age", nullable = false)
    private Integer age;

    /**
     * 医生真实姓名
     */
    @Column(name = "sex", nullable = false)
    private Integer sex;

    /**
     * 医生 id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 关联医生真实姓名
     */
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    /**
     * 询诊标题
     */
    @Column(name = "dept_id", nullable = false)
    private Integer deptId;

    /**
     * 询诊金额
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 会话Id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private boolean deleted;

    /**
     * 诊断结果
     */
    @Column(name = "diagnosis")
    private String diagnosis;

    /**
     * 订单 id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    /**
     * 订单号
     */
    @Id
    @Column(name = "order_no", nullable = false)
    private String orderNo;

    @Column(name = "order_type", nullable = false)
    private Integer orderType;

    @Column(name = "follow_up_status", nullable = false)
    private Integer followUpStatus;

    /**
     * 订单备注
     */
    @Column(name = "order_remark")
    private String orderRemark;

    public Integer getFollowUpId() {
        return followUpId;
    }

    public void setFollowUpId(Integer followUpId) {
        this.followUpId = followUpId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getFollowUpStatus() {
        return followUpStatus;
    }

    public void setFollowUpStatus(Integer followUpStatus) {
        this.followUpStatus = followUpStatus;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }
}
